Name:           python-ly
Version:        0.9.7
Release:        11%{?dist}
Summary:        Tool and library for manipulating LilyPond files

License:        GPL-2.0-or-later
URL:            https://pypi.python.org/pypi/python-ly
Source0:        https://pypi.python.org/packages/source/p/python-ly/python-ly-%{version}.tar.gz

BuildArch:      noarch
BuildRequires: python3-devel
BuildRequires: python3-setuptools

%global _description\
This package provides a Python library ly containing various Python modules\
to parse, manipulate or create documents in LilyPond format. A command line\
program ly is also provided that can be used to do various manipulations\
with LilyPond files.

%description %_description

%package -n python3-ly
Summary:        Tool and library for manipulating LilyPond files
Requires:       python3-setuptools
Requires:       python3-tkinter

%description -n python3-ly
This package provides a Python library ly containing various Python modules
to parse, manipulate or create documents in LilyPond format. A command line
program ly is also provided that can be used to do various manipulations
with LilyPond files.

This package allows for use of python-ly with Python 3.

%prep
%setup -q

%build
%py3_build

%install
%py3_install

%files -n python3-ly
%doc ChangeLog README.rst
%{_bindir}/ly
%{_bindir}/ly-server
%{python3_sitelib}/*

%changelog
* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.7-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jun 13 2023 Python Maint <python-maint@redhat.com> - 0.9.7-10
- Rebuilt for Python 3.12

* Sat Mar 04 2023 Gwyn Ciesla <gwync@protonmail.com> - 0.9.7-9
- migrated to SPDX license

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.7-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.7-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 0.9.7-6
- Rebuilt for Python 3.11

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.7-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 0.9.7-3
- Rebuilt for Python 3.10

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Thu Dec 24 2020 Gwyn Ciesla <gwync@protonmail.com> - 0.9.7-1
- 0.9.7

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue May 26 2020 Miro Hrončok <mhroncok@redhat.com> - 0.9.6-3
- Rebuilt for Python 3.9

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Wed Jan 22 2020 Gwyn Ciesla <gwync@protonmail.com> - 0.9.6-1
- 0.9.6

* Thu Oct 03 2019 Miro Hrončok <mhroncok@redhat.com> - 0.9.5-13
- Rebuilt for Python 3.8.0rc1 (#1748018)

* Mon Aug 19 2019 Miro Hrončok <mhroncok@redhat.com> - 0.9.5-12
- Rebuilt for Python 3.8

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.5-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.5-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Mon Sep 17 2018 Gwyn Ciesla <limburgher@gmail.com> - 0.9.5-9
- Drop Python 2.

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.5-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 0.9.5-7
- Rebuilt for Python 3.7

* Mon Feb 12 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.9.5-6
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.9.5-4
- Python 2 binary package renamed to python2-ly
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Mon Jun 19 2017 Gwyn Ciesla <limburgher@gmail.com> - 0.9.5-2
- Ship binaries in python3, not python2, BZ 1437182.

* Tue Feb 21 2017 Jon Ciesla <limburgher@gmail.com> - 0.9.5-1
- 0.9.5

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.9.4-4
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.4-3
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Fri Apr 22 2016 Jon Ciesla <limburgher@gmail.com> - 0.9.4-2
- Fix requires, BZ 1329556.

* Wed Apr 20 2016 Jon Ciesla <limburgher@gmail.com> - 0.9.4-1
- 0.9.4, BZ 1328650.

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jan 08 2016 Jon Ciesla <limburgher@gmail.com> - 0.9.3-1
- 0.9.3, BZ 1296741.

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.2-3
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri May 15 2015 Jon Ciesla <limburgher@gmail.com> - 0.9.2-1
- 0.9.2, BZ 1221840.
- Shebangs patch upstreamed.

* Mon Mar 16 2015 Jon Ciesla <limburgher@gmail.com> - 0.9.1-2
- Spec cleanup from review, macro usage and docs building.

* Mon Mar 09 2015 Jon Ciesla <limburgher@gmail.com> - 0.9.1-1
- Initial RPM release
